import { Context } from "@amazon-connect/core";
import { AppConfig, ContactScope } from "@amazon-connect/workspace-types";
import { AmazonConnectApp } from "./amazon-connect-app";
export declare class AppContext extends Context<AmazonConnectApp> {
    readonly appInstanceId: string;
    readonly contactScope?: Readonly<ContactScope>;
    readonly appConfig: Readonly<AppConfig>;
    constructor(provider: AmazonConnectApp, appInstanceId: string, appConfig: AppConfig, contactScope?: ContactScope);
}
//# sourceMappingURL=app-context.d.ts.map